commit:     c0eaca827f7f02813aa0827750cd423c55063b89
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  5 11:40:46 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct  5 11:48:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0eaca82

gnome-base/gnome-light: add 48.0

Closes: https://bugs.gentoo.org/961765
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 gnome-base/gnome-light/gnome-light-48.0.ebuild | 59 ++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/gnome-base/gnome-light/gnome-light-48.0.ebuild 
b/gnome-base/gnome-light/gnome-light-48.0.ebuild
new file mode 100644
index 000000000000..73a5ea2b559d
--- /dev/null
+++ b/gnome-base/gnome-light/gnome-light-48.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Meta package for GNOME-Light, merge this package to install"
+HOMEPAGE="https://www.gnome.org/";
+LICENSE="metapackage"
+SLOT="2.0"
+IUSE="cups +gnome-shell"
+
+KEYWORDS="~amd64"
+
+# XXX: Note to developers:
+# This is a wrapper for the 'light' GNOME desktop, and should only consist of
+# the bare minimum of libs/apps needed. It is basically gnome-base/gnome 
without
+# any apps, but shouldn't be used by users unless they know what they are 
doing.
+RDEPEND="
+       >=gnome-base/gnome-core-libs-${PV}[cups?]
+
+       >=gnome-base/gnome-session-${PV}
+       >=gnome-base/gnome-settings-daemon-${PV}[cups?]
+       >=gnome-base/gnome-control-center-${PV}[cups?]
+
+       >=gnome-base/nautilus-${PV}
+
+       gnome-shell? (
+               >=x11-wm/mutter-${PV}
+               >=dev-libs/gjs-1.84
+               >=gnome-base/gnome-shell-${PV}
+               media-fonts/adwaita-fonts
+       )
+
+       >=x11-themes/adwaita-icon-theme-${PV}
+       >=x11-themes/gnome-backgrounds-${PV}
+
+       || (
+               >=x11-terms/gnome-terminal-3.56
+               >=gui-apps/gnome-console-${PV}
+       )
+"
+DEPEND=""
+PDEPEND=">=gnome-base/gvfs-1.56"
+BDEPEND=""
+S="${WORKDIR}"
+
+pkg_pretend() {
+       if ! use gnome-shell; then
+               # Users probably want to use gnome-flashback, e16, sawfish, etc
+               ewarn "You're not installing GNOME Shell"
+               ewarn "You will have to install and manage a window manager by 
yourself"
+       fi
+}
+
+pkg_postinst() {
+       # Remember people where to find our project information
+       elog "Please remember to look at 
https://wiki.gentoo.org/wiki/Project:GNOME";
+       elog "for information about the project and documentation."
+}

Reply via email to